/* 
 * keypad
 *
 * A suite of communication APIs for web and enterprise applications
 *
 * OpenAPI spec version: v1
 * Contact: fmalka@modulo.co.il
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */
using System;
using System.Linq;
using System.IO;
using System.Text;
using System.Text.RegularExpressions;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Runtime.Serialization;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System.ComponentModel.DataAnnotations;
using SwaggerDateConverter = SeriousSIP.Client.SwaggerDateConverter;

namespace SeriousSIP.Model
{
    /// <summary>
    /// The list of commands available for scripting.
    /// </summary>
    /// <value>The list of commands available for scripting.</value>
    [JsonConverter(typeof(StringEnumConverter))]
        public enum ScriptCommandType
    {
        /// <summary>
        /// Enum Play for value: Play
        /// </summary>
        [EnumMember(Value = "Play")]
        Play = 1,
        /// <summary>
        /// Enum PlayFiles for value: PlayFiles
        /// </summary>
        [EnumMember(Value = "PlayFiles")]
        PlayFiles = 2,
        /// <summary>
        /// Enum Record for value: Record
        /// </summary>
        [EnumMember(Value = "Record")]
        Record = 3,
        /// <summary>
        /// Enum PlayRecord for value: PlayRecord
        /// </summary>
        [EnumMember(Value = "PlayRecord")]
        PlayRecord = 4,
        /// <summary>
        /// Enum MakeCall for value: MakeCall
        /// </summary>
        [EnumMember(Value = "MakeCall")]
        MakeCall = 5,
        /// <summary>
        /// Enum AttendedTransfer for value: AttendedTransfer
        /// </summary>
        [EnumMember(Value = "AttendedTransfer")]
        AttendedTransfer = 6,
        /// <summary>
        /// Enum BlindTransfer for value: BlindTransfer
        /// </summary>
        [EnumMember(Value = "BlindTransfer")]
        BlindTransfer = 7,
        /// <summary>
        /// Enum GetDigits for value: GetDigits
        /// </summary>
        [EnumMember(Value = "GetDigits")]
        GetDigits = 8,
        /// <summary>
        /// Enum Drop for value: Drop
        /// </summary>
        [EnumMember(Value = "Drop")]
        Drop = 9,
        /// <summary>
        /// Enum Goto for value: Goto
        /// </summary>
        [EnumMember(Value = "Goto")]
        Goto = 10,
        /// <summary>
        /// Enum Bridge for value: Bridge
        /// </summary>
        [EnumMember(Value = "Bridge")]
        Bridge = 11,
        /// <summary>
        /// Enum Log for value: Log
        /// </summary>
        [EnumMember(Value = "Log")]
        Log = 12,
        /// <summary>
        /// Enum LogResult for value: LogResult
        /// </summary>
        [EnumMember(Value = "LogResult")]
        LogResult = 13    }
}
